Skip to main content
POST

Authorizations

Authorization
string
header
required

Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.

Path Parameters

version_id
string<uuid>
required
workflow_id
string<uuid>
required

Query Parameters

organization_id
string<uuid>

Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.

Response

id
string<uuid>
required
read-only
workflow_id
string<uuid>
required
read-only
is_current
boolean
required
read-only
read_only
boolean
required
read-only

Saved in the old graph format: it still runs, but can only be edited by saving a new version.

definition
object | null
required

The steps, in the block format. Null for a read-only version.

conversion_reasons
string[]
required
read-only

Why a read-only version couldn't be converted to the block format.

version_name
string | null
description
string | null
format_version
integer
Required range: 0 <= x <= 32767
created_at
string<date-time>
input_definitions
any